<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: fp_forum_tabs_panel_admin.php 
| Version: 1.00
| Author: Fangree Productions
| Developer: Fangree_Craig
| Site: http://www.fangree.com
+--------------------------------------------------------+
| Based on forum_threads_list_panel.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include LOCALE.LOCALESET."admin/settings.php";

if (!checkrights("FPP")||!defined("iAUTH")||$_GET['aid']!=iAUTH) { redirect("../../index.php"); }

if (file_exists(INFUSIONS."fp_forum_tabs_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."fp_forum_tabs_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."fp_forum_tabs_panel/locale/English.php";
}

include INFUSIONS."fp_forum_tabs_panel/infusion_db.php";

add_to_title($locale['global_200']." ".$locale['fp103']);

if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "su") {
	$message = $locale['fp104'];
	} elseif ($_GET['status'] == "nsu") {
	$message = $locale['fp105'];
	}elseif ($_GET['status'] == "nsue") {
	$message = $locale['fp105b']."<br />".$locale['fp105'];
	}
	if ($message) {	echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; }
	}
	

	if (isset($_POST['styles_save'])) {
	if (stripinput($_POST['tab2_name']) !="" && stripinput($_POST['tab3_name']) !="" && stripinput($_POST['tab4_name']) !="" && stripinput($_POST['tab2_id']) !="" && stripinput($_POST['tab3_id']) !="" && stripinput($_POST['tab4_id']) !="" && is_numeric($_POST['tab2_id']) &&  is_numeric($_POST['tab3_id']) && is_numeric($_POST['tab4_id'])) {
	$result = dbquery("UPDATE ".DB_FP_FORUMTABS." SET  tab2_enable='".(isNum($_POST['tab2_enable']) ? $_POST['tab2_enable'] : "0")."', tab3_enable='".(isNum($_POST['tab3_enable']) ? $_POST['tab3_enable'] : "0")."', tab4_enable='".(isNum($_POST['tab4_enable']) ? $_POST['tab4_enable'] : "0")."', 
	colours_tabs_bg='".addslashes($_POST['colours_tabs_bg'])."', colours_tabs_text='".addslashes($_POST['colours_tabs_text'])."', colours_tabs_activebg='".addslashes($_POST['colours_tabs_activebg'])."', colours_tabs_activetext='".addslashes($_POST['colours_tabs_activetext'])."', tabs_align='".(isNum($_POST['tabs_align']) ? $_POST['tabs_align'] : "0")."',
	tab2_name='".addslashes($_POST['tab2_name'])."', tab3_name='".addslashes($_POST['tab3_name'])."', tab4_name='".addslashes($_POST['tab4_name'])."',
	tab2_id='".addslashes($_POST['tab2_id'])."', tab3_id='".addslashes($_POST['tab3_id'])."', tab4_id='".addslashes($_POST['tab4_id'])."'");	
	
	
	
	if (!$result) { 
	redirect(FUSION_SELF.$aidlink."&status=nsu");
	} else {
	redirect(FUSION_SELF.$aidlink."&status=su");
	}
	}else{
	redirect(FUSION_SELF.$aidlink."&status=nsue");
	}
	
	   
	}
		
	$fpftp_settings = dbarray(dbquery("SELECT * FROM ".DB_FP_FORUMTABS));
	
	$tab2_enable = isNum(stripinput($fpftp_settings['tab2_enable']));
	$tab3_enable = isNum(stripinput($fpftp_settings['tab3_enable']));
	$tab4_enable = isNum(stripinput($fpftp_settings['tab4_enable']));
	$colours_tabs_bg = stripinput($fpftp_settings['colours_tabs_bg']);
	$colours_tabs_text = stripinput($fpftp_settings['colours_tabs_text']);
	$colours_tabs_activebg = stripinput($fpftp_settings['colours_tabs_activebg']);
    $colours_tabs_activetext = stripinput($fpftp_settings['colours_tabs_activetext']);
	$tabs_align = isNum(stripinput($fpftp_settings['tabs_align']));
    $tab2_name = stripinput($fpftp_settings['tab2_name']);
	$tab3_name = stripinput($fpftp_settings['tab3_name']);
	$tab4_name = stripinput($fpftp_settings['tab4_name']);
	$tab2_id = stripinput($fpftp_settings['tab2_id']);
	$tab3_id = stripinput($fpftp_settings['tab3_id']);
	$tab4_id = stripinput($fpftp_settings['tab4_id']);
	
	
add_to_head("<script type='text/javascript' src='".INFUSIONS."fp_forum_tabs_panel/includes/jscolor/jscolor.js'></script>");

opentable($locale['fp103']);

        echo"<div style='text-align: center;' class='admin-message center'>".$locale['fp106']."</div>";
        echo "<form name='fpts_form' method='post' action='".FUSION_SELF.$aidlink."' onsubmit='return ValidateForm(this);'>\n";
	
		echo "<table cellpadding='0' cellspacing='0' width='60%' style='margin-top: 10px;' class='tbl-border center'>\n<tr>\n";
		echo "<td  class='tbl' width='50%' align='left'>".$locale['fp112']."</td>\n";
		echo "<td  align='left' class='tbl'><select name='tab2_enable' class='textbox'>\n";
		echo "<option value='1'".($fpftp_settings['tab2_enable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
		echo "<option value='0'".($fpftp_settings['tab2_enable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
		echo "</select></td></tr><tr>\n";
		echo "<td  class='tbl' width='50%' align='left'>".$locale['fp113']."</td>\n";
		echo "<td  align='left' class='tbl'><select name='tab3_enable' class='textbox'>\n";
		echo "<option value='1'".($fpftp_settings['tab3_enable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
		echo "<option value='0'".($fpftp_settings['tab3_enable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
		echo "</select></td></tr>\n";
		echo "<td  class='tbl' width='50%' align='left'>".$locale['fp114']."</td>\n";
		echo "<td  align='left' class='tbl'><select name='tab4_enable' class='textbox'>\n";
		echo "<option value='1'".($fpftp_settings['tab4_enable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
		echo "<option value='0'".($fpftp_settings['tab4_enable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
		echo "</select></td></tr><tr>\n";
	
		echo" <td  width='50%' class='tbl'>".$locale['fp107']."</td>";
		echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='colours_tabs_bg' value='".$colours_tabs_bg."'/></td>\n";
		echo "</tr><tr>\n";
		echo" <td  width='50%' class='tbl'>".$locale['fp108']."</td>";
		echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='colours_tabs_text' value='".$colours_tabs_text."'/></td>\n";
		echo "</tr><tr>\n";
		echo" <td width='50%' class='tbl'>".$locale['fp109']."</td>";
		echo" <td align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='colours_tabs_activebg' value='".$colours_tabs_activebg."'/></td>\n";
		echo "</tr><tr>";
		echo" <td  width='50%' class='tbl'>".$locale['fp110']."</td>";
		echo" <td align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='colours_tabs_activetext' value='".$colours_tabs_activetext."'/></td>\n";
		echo "</tr><tr>";
	  
   	    echo "<td  class='tbl' align='left'>".$locale['fp124']."</td>\n";
	    echo "<td  class='tbl'><select name='tabs_align' class='textbox'>\n";
	    echo "<option value='2'".($fpftp_settings['tabs_align'] == "2" ? " selected='selected'" : "").">".$locale['fp125']."</option>\n";
	    echo "<option value='1'".($fpftp_settings['tabs_align'] == "1" ? " selected='selected'" : "").">".$locale['fp126']."</option>\n";
	    echo "<option value='0'".($fpftp_settings['tabs_align'] == "0" ? " selected='selected'" : "").">".$locale['fp127']."</option>\n";
	    echo "</select></td><tr>\n";
		
		echo "<td  width='50%' class='tbl'>".$locale['fp115']."</td>\n";
		echo "<td  align='left' class='tbl'><input type='text' maxlength='50' name='tab2_name'  value='".$tab2_name."' class='textbox'>\n";
		echo "</td>\n</tr><tr>\n";
		echo "<td  width='50%' class='tbl'>".$locale['fp116']."</td>\n";
		echo "<td  align='left' class='tbl'><input type='text' maxlength='50' name='tab3_name'  value='".$tab3_name."' class='textbox'>\n";
		echo "</td>\n</tr><tr>\n";
		echo "<td  width='50%' class='tbl'>".$locale['fp117']."</td>\n";
		echo "<td  align='left' class='tbl'><input type='text' maxlength='50' name='tab4_name'  value='".$tab4_name."' class='textbox'>\n";
		echo "</td>\n<tr>\n";
		
		echo "<td  width='50%' class='tbl'>".$locale['fp118']."</td>\n";
		echo "<td align='left' class='tbl'><input class='textbox' maxlength='3' name='tab2_id' value='".$tab2_id."'/>\n";
		echo "</td>\n</tr><tr>\n";
		echo "<td  width='50%' class='tbl'>".$locale['fp119']."</td>\n";
		echo "<td align='left' class='tbl'><input class='textbox' maxlength='3' name='tab3_id' value='".$tab3_id."'/>\n";
		echo "</td>\n</tr><tr>\n";
		echo "<td  width='50%' class='tbl'>".$locale['fp120']."</td>\n";
		echo "<td align='left' class='tbl'><input class='textbox' maxlength='3' name='tab4_id' value='".$tab4_id."'/>\n";
		echo "</td>\n</tr>\n";
		echo"</table>\n";
		
		echo "<div style='text-align:center;margin-top:10px;margin-bottom:10px;'><input type='submit' class='button' name='styles_save' value='".$locale['fp111']."' /></div>\n";
	
		echo "</form>\n";
		
closetable();


		add_to_footer("<script type='text/javascript'>
function ValidateForm(frm) {
	if(frm.tab2_name.value=='') {
		alert('".$locale['fp123']."');
		return false;
	}	
	if(frm.tab3_name.value=='') {
		alert('".$locale['fp123']."');
		return false;
	}	
	if(frm.tab4_name.value=='') {
		alert('".$locale['fp123']."');
		return false;
	}	
	
	if(frm.tab2_id.value=='') {
		alert('".$locale['fp122']."');
		return false;
	}	
	
	if(frm.tab3_id.value=='') {
		alert('".$locale['fp122']."');
		return false;
	}	
	
	if(frm.tab4_id.value=='') {
		alert('".$locale['fp122']."');
		return false;
	}	
	
	if(isNaN(frm.tab2_id.value)) {
		alert('".$locale['fp121']."');
		return false;
	}
	if(isNaN(frm.tab3_id.value)) {
		alert('".$locale['fp121']."');
		return false;
	}
	if(isNaN(frm.tab4_id.value)) {
		alert('".$locale['fp121']."');
		return false;
	}
}
</script>");


require_once THEMES."templates/footer.php";
?>