<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: fp_forum_tabs_panel.php 
| Version: 1.00
| Author: Fangree Productions
| Developer: Fangree_Craig
| Site: http://www.fangree.com
+--------------------------------------------------------+
| Based on forum_threads_list_panel.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."fp_forum_tabs_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."fp_forum_tabs_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."fp_forum_tabs_panel/locale/English.php";
}

$fp_forum_tabs_panel_check = dbquery("SELECT * FROM ".DB_ADMIN. " WHERE admin_title='".$locale['title001']."'");
if (dbrows($fp_forum_tabs_panel_check) > 0) {

include INFUSIONS."fp_forum_tabs_panel/infusion_db.php";


$fpftp_settings = dbarray(dbquery("SELECT * FROM ".DB_FP_FORUMTABS.""));

include INFUSIONS."fp_forum_tabs_panel/includes/fp_forum_tabs_panel_styles.php";


if (function_exists("add_to_footer")) {
 
 add_to_footer( '<script type="text/javascript">
      $(document).ready(function(){
        var active = 0;
        $("#tab_fp-forum-panel_container div:eq("+active+")").show();
        tab_action(0);
        
        $("#the_tabs_fp-forum-panel span").click(function(){
          var index = $("#the_tabs_fp-forum-panel span").index(this);
          if(active != index)
          {
            $("#tab_fp-forum-panel_container div:eq("+active+")").hide();
            active = index;
            tab_action(active);
            $("#tab_fp-forum-panel_container div:eq("+active+")").fadeIn("fast");
          }
        });
      });
      function tab_action(index)
      {
        $("#the_tabs_fp-forum-panel span").css("background-color","#'.stripinput($fpftp_settings['colours_tabs_bg']).'").css("color","#'.stripinput($fpftp_settings['colours_tabs_text']).'");
        $("#the_tabs_fp-forum-panel span:eq("+index+")").css("background-color","#'.stripinput($fpftp_settings['colours_tabs_activebg']).'").css("color","#'.stripinput($fpftp_settings['colours_tabs_activetext']).'");
      }
    </script>');
	
	}
opentable($locale['fp100']);
	echo "<div id='tab_fp-forum-panel'>\n
   
    <div id='the_tabs_fp-forum-panel'>\n";
   
	echo"<span>".$locale['fp101']."</span>";
	
	if ($fpftp_settings['tab2_enable'] == 1 && $fpftp_settings['tab2_id'] !== "") {
    echo" <span>".stripinput($fpftp_settings['tab2_name'])."</span>";
	}
	
	if ($fpftp_settings['tab3_enable'] == 1 && $fpftp_settings['tab3_id'] !== "") {
	echo"<span>".stripinput($fpftp_settings['tab3_name'])."</span>";
	}
	
	if ($fpftp_settings['tab4_enable'] == 1 && $fpftp_settings['tab4_id'] !== "") {
	echo"<span>".stripinput($fpftp_settings['tab4_name'])."</span>";
    }
 
    echo"</div>\n";
	
    echo"<div id='tab_fp-forum-panel_container'>\n";
   
    echo"<div class='tab_fp-forum-panel_content'>";
 
    if (file_exists(INFUSIONS."fp_forum_tabs_panel/tabs/tab_1.php")) {
	require_once INFUSIONS."fp_forum_tabs_panel/tabs/tab_1.php";
    }

    echo "</div>\n";
	
	if ($fpftp_settings['tab2_enable'] == 1 && $fpftp_settings['tab2_id'] !== "") {
	echo "<div class='tab_fp-forum-panel_content'>";
    
	if (file_exists(INFUSIONS."fp_forum_tabs_panel/tabs/tab_2.php")) {
	require_once INFUSIONS."fp_forum_tabs_panel/tabs/tab_2.php";
    }
	
	echo "</div>\n";
	}
	
	if ($fpftp_settings['tab3_enable'] == 1 && $fpftp_settings['tab3_id'] !== "") {
    echo "<div class='tab_fp-forum-panel_content'>";
    
	if (file_exists(INFUSIONS."fp_forum_tabs_panel/tabs/tab_3.php")) {
    require_once INFUSIONS."fp_forum_tabs_panel/tabs/tab_3.php";
    }
   
    echo "</div>\n";
	}
	
	if ($fpftp_settings['tab4_enable'] == 1 && $fpftp_settings['tab4_id'] !== "") {
	echo "<div class='tab_fp-forum-panel_content'>";
    
	if (file_exists(INFUSIONS."fp_forum_tabs_panel/tabs/tab_4.php")) {
    require_once INFUSIONS."fp_forum_tabs_panel/tabs/tab_4.php";
    }
   
    echo "</div>\n";
	}
	echo"</div>\n</div>\n";

	
if (iMEMBER) {
	echo "<div class='tbl1' style='text-align:center'><a href='".INFUSIONS."fp_forum_tabs_panel/my_threads.php'>".$locale['global_041']."</a> ::\n";
	echo "<a href='".INFUSIONS."fp_forum_tabs_panel/my_posts.php'>".$locale['global_042']."</a> ::\n";
	echo "<a href='".INFUSIONS."fp_forum_tabs_panel/new_posts.php'>".$locale['global_043']."</a>";
	
	if($settings['thread_notify']) {
		echo " ::\n<a href='".INFUSIONS."fp_forum_tabs_panel/my_tracked_threads.php'>".$locale['global_056']."</a>";
	}
	echo "</div>\n";
}
// COPYRIGHT DO NOT REMOVE
	echo"<div class='side small' style='padding-top:5px; text-align:right; color:#000;'><span  title='FP Forum Tabs Panel Copyright&copy; 2012  Fangree Productions '><a href='http://www.fangree.com'>&copy;</a></span></div>\n";
     
closetable();
}

?>