<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: fp_forum_tabs_panel_styles.php 
| Version: 1.00
| Author: Fangree Productions
| Developer: Fangree_Craig
| Site: http://www.fangree.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."fp_forum_tabs_panel/infusion_db.php";

$fpftp_settings = dbarray(dbquery("SELECT * FROM ".DB_FP_FORUMTABS));

if (function_exists("add_to_head")) {
add_to_head("<style type='text/css'>
#tab_fp-forum-panel {
		border-radius: 4px 4px 4px 4px;
		-moz-border-radius: 4px 4px 4px 4px;
		-webkit-border-radius: 4px 4px 4px 4px;
		display: block;
		padding: 5px 0;
		width: 100%;   
		
}
</style>");


if ($fpftp_settings['tabs_align'] == "1") {
add_to_head("<style type='text/css'>
#the_tabs_fp-forum-panel{
		width:auto;
		vertical-align: top;
}
</style>");

}elseif ($fpftp_settings['tabs_align'] == "2") {
add_to_head("<style type='text/css'>
#the_tabs_fp-forum-panel{
		text-align: right;
		width: auto;
		vertical-align: top;
}
</style>");
}else{
add_to_head("<style type='text/css'>
#the_tabs_fp-forum-panel{
		text-align: center;
		width: auto;
}
</style>");
}

add_to_head("<style type='text/css'>
#the_tabs_fp-forum-panel span{
		padding: 5px 7px;
		margin: 0 5px 0 0;
		color: #000;
		font-weight:bold;
		cursor: pointer;
		-webkit-border-top-left-radius: 4px;
		-webkit-border-top-right-radius: 4px;
		-moz-border-radius-topleft: 4px;
		-moz-border-radius-topright: 4px;
		border-top-left-radius: 4px;
		border-top-right-radius: 4px;
}
#tab_fp-forum-panel_container div{
		padding:0px;
		display:none;
		
}
.tab_fp-forum-panel_content {
		margin-top: 3px;
		width: auto;
}
</style>");
}     

    
?>