<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Version: 1.01
| Author: Nick Jones,  Fangree Productions
| Developers: Fangree_Craig
| Support: http://www.fangree.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."fp_forum_tabs_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."fp_forum_tabs_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."fp_forum_tabs_panel/locale/English.php";
}

include INFUSIONS."fp_forum_tabs_panel/infusion_db.php";

// Infusion general information
$inf_title = $locale['title001'];
$inf_description = $locale['desc001'];
$inf_version = "1.00";
$inf_developer = "Fangree Productions ";
$inf_email = "admin@fangree.co.uk";
$inf_weburl = "http://www.fangree.com";

$inf_folder = "fp_forum_tabs_panel";

$inf_newtable[1] = DB_FP_FORUMTABS." (

colours_tabs_bg VARCHAR(6) NOT NULL DEFAULT '',
colours_tabs_text VARCHAR(6) NOT NULL DEFAULT '',
colours_tabs_activebg VARCHAR(6) NOT NULL DEFAULT '',
colours_tabs_activetext VARCHAR(6) NOT NULL DEFAULT '',
tabs_align TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
tab2_enable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
tab3_enable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
tab4_enable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
tab2_name VARCHAR(50) NOT NULL DEFAULT '',
tab3_name VARCHAR(50) NOT NULL DEFAULT '',
tab4_name VARCHAR(50) NOT NULL DEFAULT '',
tab2_id VARCHAR(3) NOT NULL DEFAULT '',
tab3_id VARCHAR(3) NOT NULL DEFAULT '',
tab4_id VARCHAR(3) NOT NULL DEFAULT '',
PRIMARY KEY (colours_tabs_bg)
) ENGINE=MyISAM;";

$inf_insertdbrow[1] = DB_FP_FORUMTABS." (colours_tabs_bg, colours_tabs_text, colours_tabs_activebg, colours_tabs_activetext, tabs_align, tab2_enable, tab3_enable, tab4_enable, tab2_name, tab3_name, tab4_name, tab2_id, tab3_id, tab4_id) VALUES ('8EC5F1', 'E6E6E6', '53A3FC', 'D9D9D9', '1', '0', '0', '0', '".$locale['tab2_name_value']."', '".$locale['tab3_name_value']."', '".$locale['tab4_name_value']."', '1' ,'2' ,'3')";


$inf_droptable[1] = DB_FP_FORUMTABS;


$inf_adminpanel[1] = array(
	"title" => $locale['title001'],
	"image" => "",
	"panel" => "fp_forum_tabs_panel_admin.php",
	"rights" => "FPP"
);


?>